function getImage()
{
  if(document.getElementById('rb1').checked){
    param = "1";
  }
  else if(document.getElementById('rb2').checked){
    param = "2";
  }
  else if(document.getElementById('rb3').checked){
    param = "3";
  }
  else if(document.getElementById('rb4').checked){
    param = "4";
  }
  else{
    alert('Proszę zaznaczyć jedną z opcji.');
  }

  url = "http://localhost/dane.php?filtr=" + param;
  url = encodeURI(url);

  var btnWykonaj = document.getElementById('btnWykonaj');
  btnWykonaj.disabled = true;
  startGETRequest(url, onComplete, onEnd);
}


function onComplete(text, xml)
{
  if(text.substr(0, 5) == 'error'){
    arr = text.split("\n");
    if(arr.length == 2){
      if(arr[0] == 'error')
        alert(arr[1]);
      else
        alert("Nieprawidłowa odpowiedź serwera.");
    }
  }
  else{
    var img1 = document.getElementById('img1');
    url = "image.php?name=" + text;
    url = encodeURI(url);
    img1.src = url;
  }
}

function onEnd()
{
  var btnWykonaj = document.getElementById('btnWykonaj');
  btnWykonaj.disabled = false;
}